<?php
session_start();
require_once ("../conexion.php");
require_once('../include/sesiones.php'); 
$fecha=date('Y-m-d H:i:s');

$forma_pago=$_POST['forma_pago'];
$medio_pago=$_POST['medio_pago'];
$valor=$_POST['valor'];
$comentario=$_POST['comentario'];

$can=mysqli_query($con,"SELECT MAX(vena_n_venta)as vena_n_venta FROM ventas_apartadas where empresa='$empresa'") or die(mysqli_error($con)); 
$dato=mysqli_fetch_array($can); 
$vena_n_venta=$dato['vena_n_venta']+1;

$can=mysqli_query($con,"SELECT MAX(vena_id)as vena_id FROM ventas_apartadas") or die(mysqli_error($con)); 
$dato=mysqli_fetch_array($can);
$vena_id=$dato['vena_id']+1;

$can2=mysqli_query($con,"SELECT MAX(mov_numero)as mov_numero FROM movimientos where empresa='$empresa'") or die(mysqli_error($con)); 
$dato2=mysqli_fetch_array($can2);
$mov_numero=$dato2['mov_numero']+1;

$can3=mysqli_query($con,"SELECT MAX(mov_id)as mov_id FROM movimientos") or die(mysqli_error($con)); 
$dato3=mysqli_fetch_array($can3);
$mov_id=$dato3['mov_id']+1;

$can4=mysqli_query($con,"SELECT MAX(abo_numero)as abo_numero FROM abono_adelantado ") or die(mysqli_error($con)); 
$dato4=mysqli_fetch_array($can4); 
$abo_numero=$dato4['abo_numero']+1;

$can=mysqli_query($con,"SELECT * FROM cliente c, cliente_venta_temp cv where usuario='$usu_id' and c.clie_id=cv.cvt_clie_id and c.empresa='$empresa'") or die(mysqli_error($con)); 
if($dato=mysqli_fetch_array($can))
{
    $clie_id=$dato['clie_id'];
    $clie_cc=$dato['clie_cc'];
    $clie_nombre=$dato['clie_nombre'];
    $clie_correo=$dato['clie_correo'];
    $clie_telefono=$dato['clie_telefono'];
    $clie_nota_credito=$dato['clie_nota_credito'];
    $resta_nota=$clie_nota_credito-$valor;
    $clie_id=$dato['clie_id'];
}

if($clie_nombre<>'CLIENTE MOSTRADOR')
{
    $sql=mysqli_query($con, "SELECT apertura from movimiento_caja where mca_usuario='$usu_id' and empresa='$empresa' and sucursal='$sucursal' and mca_estado='1'");
    $sql=mysqli_fetch_array($sql);
    $apertura=$sql['apertura'];
    $can1=mysqli_query($con,"SELECT * FROM venta_detalle_temp where usuario='$usu_id' and empresa='$empresa'") or die(mysqli_error($con)); 
    $result = mysqli_num_rows($can1);
    if($result == 0)
    {
        echo '<div class="alert alert-danger alert-dismissable">
                <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                <strong>La lista de Articulos esta vacia </strong> 
            </div>';
    }
    else
    {
        $registros=mysqli_query($con,"INSERT INTO ventas_apartadas (vena_id,vena_n_venta,vena_fecha,vena_forma_de_pago,vena_estado,Cliente_clie_id,vena_cc,vena_nombre,vena_correo,vena_telefono,observaciones,usuario,apertura,sucursal,empresa)
        VALUES  ('$vena_id','$vena_n_venta','$fecha','$forma_pago','apartada','$clie_id','$clie_cc','$clie_nombre','$clie_correo','$clie_telefono','$comentario','$usu_id','$apertura','$sucursal','$empresa')") or die(mysqli_error($con));

        if($valor>0)
        {
            $registros=mysqli_query($con,"INSERT INTO venta_apartada_abonos (veaa_abono,forma_pago,medio_pago,veaa_fecha,mov_id, usuario,apertura,empresa,ventas_apartadas_vena_id)
            VALUES  ('$valor','$forma_pago','$medio_pago','$fecha','$mov_id','$usu_id','$apertura','$empresa','$vena_id')") or  die(mysqli_error($con));

            $registros=mysqli_query($con,"INSERT INTO movimientos (mov_id,mov_caja,mov_apertura, mov_numero,mov_fecha,mov_usuario,mov_tipo_movimiento,mov_detalle,mov_total,estado,forma_pago,medio_pago,sucursal,empresa) 
            VALUES ('$mov_id','$cajas_caja_id','$apertura','$mov_numero','$fecha','$usu_id','Abono apartado','Abono a la venta apartada N $vena_n_venta de $clie_nombre','$valor','entrada','$forma_pago','$medio_pago','$sucursal','$empresa')") or die(mysqli_error($con));  
        }
           
        $descuento=0;
        $sumador_total=0;
        $neto=0;
        $descuentof=0;
        $iva_total=0;
        $tt=0;
        $to=0;
        $can7=mysqli_query($con,"SELECT * FROM venta_detalle_temp where usuario='$usu_id' and empresa='$empresa'") or die(mysqli_error($con));  
        while($dato=mysqli_fetch_array($can7))
        {
            $vent_id=$dato['vent_id'];
            $art_art_id=$dato['art_art_id'];
            $vent_art_id=$dato['vent_art_id'];
            $vent_referencia=$dato['vent_referencia'];            
            $vent_nombre=$dato['vent_nombre']; 
            $vent_unidad=$dato['vent_unidad']; 
            $vent_x_cantidad=$dato['vent_x_cantidad']; 
            $vent_cantidad=$dato['vent_cantidad']; 
            $vent_iva=$dato['vent_iva'];  
            $vent_desc=$dato['vent_desc'];         
            $vent_precio=$dato['vent_precio'];
            $vent_tipo=$dato['vent_tipo'];

            $cantidad_descontar=$dato['vent_cantidad']*$dato['vent_x_cantidad'];

            $ivaf=$vent_iva/100;
            $precio_total=$vent_precio*$vent_cantidad;
            $descuento=($vent_desc/100)*$precio_total;
            $pt=$precio_total-$descuento;
            $iva=$vent_precio*$ivaf;
            $sin_iva=$vent_precio-$iva;
            $sumador_total+=$precio_total;//Sumador
            $tt=$sin_iva*$vent_cantidad;

            $descuentof+=$descuento;
            $ivat=($vent_precio*$ivaf)*$vent_cantidad;
            $sin_ivat=($vent_precio-$iva)*$vent_cantidad;
            $iva_total+=$ivat;
            $neto+=$sin_ivat;

            $can=mysqli_query($con,"SELECT MAX(venad_id)as venad_id FROM venta_apartadas_detalle") or die(mysqli_error($con)); 
            $datov=mysqli_fetch_array($can);
            $venad_id=$datov['venad_id']+1;

            if($vent_tipo=='articulo')
            {
                $can8=mysqli_query($con,"INSERT INTO venta_apartadas_detalle (venad_id,art_art_id,venad_art_id,venad_referencia,venad_nombre,venad_unidad,venad_x_cantidad,venad_cantidad,venad_iva,venad_desc,venad_precio,venad_tipo,empresa,ventas_apartadas_vena_id) 
                VALUES ('$venad_id','$art_art_id','$vent_art_id','$vent_referencia','$vent_nombre','$vent_unidad','$vent_x_cantidad','$vent_cantidad','$vent_iva','$vent_desc','$vent_precio','$vent_tipo','$empresa','$vena_id')") or die(mysqli_error($con));  

                //lotes
                $can10=mysqli_query($con,"SELECT * FROM venta_detalle_temp_lote where vetl_id_detalle_temp='$vent_id'") or die(mysqli_error($con));  
                while($dato10=mysqli_fetch_array($can10))
                {
                    $kar_id=$dato10['kar_id'];
                    $kar_lote=$dato10['kar_lote'];
                    $kar_cantidad=$dato10['kar_cantidad'];
                    $can11=mysqli_query($con,"INSERT INTO venta_apartadas_detalle_lote (kar_id,kar_lote,kar_cantidad,venad_id_detalle) 
                    VALUES ('$kar_id','$kar_lote','$kar_cantidad','$venad_id')") or die(mysqli_error($con)); 
                }

                //descontar
                $can10=mysqli_query($con,"SELECT * FROM articulos_has_bodegas WHERE art_id='$art_art_id' and articulos_art_id='$vent_art_id' and bodegas='$bod_id' and  empresa='$empresa'") or die(mysqli_error($con));  
                while($dato7=mysqli_fetch_array($can10))
                {
                    $art_cantidad=$dato7['art_cantidad'];
                    $resta=$art_cantidad-$cantidad_descontar;
                    $registros=mysqli_query($con,"UPDATE articulos_has_bodegas Set art_cantidad='$resta' Where art_id='$art_art_id' AND articulos_art_id='$vent_art_id' and bodegas='$bod_id' and empresa='$empresa'") or die(mysqli_error($con));
                }
                //seriales
                $can9=mysqli_query($con,"SELECT * FROM seriales_temp where venta_detalle_temp_vent_id='$vent_id'") or die(mysqli_error($con));  
                while($ser=mysqli_fetch_array($can9))
                {
                    $ser_codigo=$ser['ser_codigo'];

                    $seractu=mysqli_query($con,"UPDATE seriales_articulos Set estado='apartado' Where articulos_art_id ='$art_art_id' and se_codigo='$ser_codigo' ") or die(mysqli_error($con));

                    $can10=mysqli_query($con,"INSERT INTO seriales_apartados (sear_codigo,venad_id,vena_id) 
                    VALUES ('$ser_codigo','$venad_id','$vena_id')") or die(mysqli_error($con));  
                }
            }


            if($vent_tipo=='detallado')
            {
                $can_det=mysqli_query($con,"SELECT * FROM articulos_detallado WHERE artd_id='$vent_art_id'") or die(mysqli_error($con));  
                $dato_det=mysqli_fetch_array($can_det);
                $artd_cantidad=$dato_det['artd_cantidad'];
                $artd_precio_costo=$dato_det['artd_precio_costo'];
                $resta=$artd_cantidad-$vent_cantidad;
                $registros=mysqli_query($con,"UPDATE articulos_detallado Set artd_cantidad='$resta' Where artd_id='$vent_art_id'") or die(mysqli_error($con));

                $can8=mysqli_query($con,"INSERT INTO venta_apartadas_detalle (venad_id,venad_art_id,venad_referencia,venad_nombre,venad_cantidad,venad_iva,venad_desc,venad_precio,venad_tipo,empresa,ventas_apartadas_vena_id) 
                VALUES ('$venad_id','$vent_art_id','$vent_referencia','$vent_nombre','$vent_cantidad','$vent_iva','$vent_desc','$vent_precio','$vent_tipo','$empresa','$vena_id')") or die(mysqli_error($con));  
            }


            if($vent_tipo=='producto' or $vent_tipo=='servicio')
            {
                $can_pro=mysqli_query($con,"SELECT * FROM articulos WHERE art_id='$vent_art_id'") or die(mysqli_error($con));  
                $dato_pro=mysqli_fetch_array($can_pro);
                $costo=$dato_pro['art_precio_costo'];

                $can8=mysqli_query($con,"INSERT INTO venta_apartadas_detalle (venad_id,venad_art_id,venad_referencia,venad_nombre,venad_cantidad,venad_iva,venad_desc,venad_precio,venad_tipo,empresa,ventas_apartadas_vena_id) 
                VALUES ('$venad_id','$vent_art_id','$vent_referencia','$vent_nombre','$vent_cantidad','$vent_iva','$vent_desc','$vent_precio','$vent_tipo','$empresa','$vena_id')") or die(mysqli_error($con));   
            }
        }


        $to+=$sumador_total;

        if ($forma_pago=='nota credito')
        {  
            $registros=mysqli_query($con,"UPDATE cliente Set clie_nota_credito='$resta_nota' Where clie_id='$clie_id' and empresa='$empresa'") or die(mysqli_error($con));
        }

        $sql=mysqli_query($con,"DELETE FROM seriales_temp WHERE usuario='$usu_id'") or die(mysqli_error($con));
        $sql=mysqli_query($con,"DELETE FROM venta_detalle_temp_lote where usuario='$usu_id'") or die(mysqli_error($con));
        $sql=mysqli_query($con,"DELETE FROM venta_detalle_sabores_temp where usuario='$usu_id'") or die(mysqli_error($con));
        $sql=mysqli_query($con,"DELETE FROM venta_detalle_temp where usuario='$usu_id' and empresa='$empresa'") or die(mysqli_error($con));

        $sql=mysqli_query($con,"DELETE FROM venta_detalle_combo_sabores_temp where usuario='$usu_id'") or die(mysqli_error($con));
        $sql=mysqli_query($con,"DELETE FROM venta_detalle_combo_temp where usuario='$usu_id' and empresa='$empresa'") or die(mysqli_error($con));

        $sql=mysqli_query($con,"DELETE FROM cliente_venta_temp where usuario='$usu_id' and empresa='$empresa'") or die(mysqli_error($con));
        $sql=mysqli_query($con,"DELETE FROM retencion_temp where usuario='$usu_id' and empresa='$empresa'") or die(mysqli_error($con)); 
    ?>

        <pre style="font-size:24px"><strong class="text-success">Total a Pagar</strong></pre>
        <pre style="font-size:24px"><strong><?php echo number_format($to,0); ?></strong></pre>
        <pre style="font-size:24px"><strong class="text-success">Dinero Recibido</strong></pre>
        <pre style="font-size:24px"><strong><?php echo number_format($valor,0); ?></strong></pre>
        <pre style="font-size:24px"><strong class="text-success">Saldo</strong></pre>
        <pre style="font-size:24px"><strong><?php echo number_format($to-$valor,0); ?></strong></pre>

        <div class="modal-footer">
            <a href="" type="button" class="btn btn-default" >Venta Nueva</a>
            <?php
                if($fac_formato_apartado=='Carta'){ ?>
                        <a href="libraries/tcpdf/documentos/apartado5.php?vena_id=<?php echo $vena_id;?>" target="_blank" class="btn btn-primary"><span class="btn-icon-only icon-print"></span>Imprimir</a>
                    <?php } else { ?>
                    <a href="tirillas/tirilla_apartado.php?vena_id=<?php echo $vena_id; ?>" class="btn btn-primary" target="_blank" title="Imprimir"><i class="btn-icon-only icon-print"></i>Imprimir Apartado</a>
            <?php }  ?>
        </div>
        <script type="text/javascript">
            document.getElementById("form_guia").reset();
        </script>
<?php   
    }
}
else 
{
    print "<script>alert(\"No se puede Apartar a Cliente Mostrador.\");</script>";
}              
?>